Substy Developers
Inbox and fans

Delete creator message queue

Delete the specified queued platform message campaign. Requires both queue-management and mass-message permissions.

DELETE/v1/agencies/{agencyId}/creators/{creatorId}/message-queues/{queueId}

Delete the specified queued platform message campaign. Requires both queue-management and mass-message permissions.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string
queueId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/agencies/string/creators/string/message-queues/string" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{}'
{  "data": {    "success": true,    "queue": {      "id": "string",      "date": "string",      "text": "string",      "giphyId": null,      "textCropped": "string",      "sentCount": 0,      "viewedCount": 0,      "canUnsend": true,      "unsendSeconds": 0,      "isCanceled": true,      "mediaTypes": null    }  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}